package capitulo04.bloque02;

import static capitulo04.utils.Utils.crearArrayNumsAleatorios;
import static capitulo04.utils.Utils.mostrarArrayNums;

public class Ejercicio02 {
    public static void main(String[] args) {
        int[] array1 = crearArrayNumsAleatorios(150, 0, 100);
        int[] array2 = crearArrayNumsAleatorios(150, 0, 100);
        int[] array3 = creaTercerArray(array1, array2);


        System.out.print("Array 1: ");
        mostrarArrayNums(array1);
        System.out.print("\nArray 2: ");
        mostrarArrayNums(array2);
        System.out.print("\nArray 3: ");
        mostrarArrayNums(array3);

    }

    public static int[] creaTercerArray(int a1[], int a2[]) {
        int[] array3 = new int[150];
        for (int i = 0; i < a1.length; i++) {
            if ((i % 2) == 0) {
                array3[i] = a2[i];
            } else {
                array3[i] = a1[i];
            }
        }
        return array3;
    }
}
